Page MenuHomePhabricator

JS errors in sequencer
Closed, ResolvedPublic

Description

Was playing with the cats sequence today. I got the following errors. I think this was due to me trying to use the frame handles to resize the editor areas. (wasn't working). I was using Safari

jui.combined.min.js:71
TypeError: Result of expression '$.widget.prototype._trigger' [undefined] is not an object.
That line contains:

+($.browser.safari&&this.cssPosition=='fixed'?0:(this.cssPosition=='fixed'?-this.scrollParent.scrollLeft():scrollIsRootNode?0:scroll.scrollLeft())))};},_clear:function(){this.helper.removeClass("ui-draggable-dragging");if(this.helper[0]!=this.element[0]&&!this.cancelHelperRemoval)this.helper.remove();this.helper=null;this.cancelHelperRemoval=false;},_trigger:function(type,event,ui){ui=ui||this._uiHash();$.ui.plugin.call(this,type,[event,ui]);if(type=="drag")this.positionAbs=this._convertPositionTo("absolute");return $.widget.prototype._trigger.call(this,type,event,ui);},plugins:{},_uiHash:function(event){return{helper:this.helper,position:this.position,absolutePosition:this.positionAbs,offset:this.positionAbs};}}));$.extend($.ui.draggable,{version:"1.7.1",eventPrefix:"drag",defaults:{addClasses:true,appendTo:"parent",axis:false,cancel:":input,option",connectToSortable:false,containment:false,cursor:"auto",cursorAt:false,delay:0,distance:1,grid:false,handle:false,helper:"original",iframeFix:false,opacity:false,refreshPositions:false,revert:false,revertDuration:500,scope:"default",scroll:true,scrollSensitivity:20,scrollSpeed:20,snap:false,snapMode:"both",snapTolerance:20,stack:false,zIndex:false}});$.ui.plugin.add("draggable","connectToSortable",{start:function(event,ui){var inst=$(this).data("draggable"),o=inst.options,uiSortable=$.extend({},ui,{item:inst.element});inst.sortables=[];$(o.connectToSortable).each(function(){var sortable=$.data(this,'sortable');if(sortable&&!sortable.options.disabled){inst.sortables.push({instance:sortable,shouldRevert:sortable.options.revert});sortable._refreshItems();sortable._trigger("activate",event,uiSortable);}});},stop:function(event,ui){var inst=$(this).data("draggable"),uiSortable=$.extend({},ui,{item:inst.element});$.each(inst.sortables,function(){if(this.instance.isOver){this.instance.isOver=0;inst.cancelHelperRemoval=true;this.instance.cancelHelperRemoval=false;if(this.shouldRevert)this.instance.options.revert=true;this.instance._mouseStop(event);this.instance.options.helper=this.instance.options._helper;if(inst.options.helper=='original')


Version: unspecified
Severity: normal

Details

Reference
bz25491

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:17 PM
bzimport set Reference to bz25491.
TheDJ created this task.Oct 11 2010, 10:01 PM

mdale wrote:

Sequencer should not use jui.combined.min.js rather should hard code the use of its own jquery ui lib since it uses jquery ui 1.8 components.... So its odd that it is using the older jQuery ui 1.7 from usability.

This should be 'fixed' once the new resource loader comes out with jquery 1.8 and or I could add more delay to when sequencer code is parsed and included so that it 'for sure' overrides the old jQuery library.

Not sure how well safari or chrome for that matter will work with the sequencer in general. I should probably put some warning that 'works best with firefox 4' once that comes out.

I am going to mark this REMIND because it should work its self out as bug 24415 gets resolved ( resource loader deployment )

No need to mark this as "remind." Keep this open until the issue is resolved.

Shifting this from a dependency to a block so that this makes sense.

mdale wrote:

*** Bug 26456 has been marked as a duplicate of this bug. ***

mdale wrote:

Fixed in r79157
Usability extension loads jQuery ui asynchronously so we have to wait for it to loaded before we override it.

mdale wrote:

update has gone out, once you shift refresh gadget should read "mwEmbed remote:
r183" and should load more consistently.

(In reply to comment #6)

update has gone out, once you shift refresh gadget should read "mwEmbed
remote:
r183" and should load more consistently.

Michael: So is this FIXED?